Elog - Bug #16125

Response is already commited on redirect
04/06/2017 03:25 PM - Kyle Hazelwood

Status: Closed Start date: 04/06/2017
Priority: High Due date:

Assignee: Kyle Hazelwood % Done: 0%
Category: Server Estimated time: 0.00 hour
Target version: Version 2.0 Spent time: 0.00 hour
Description

The authentication filter is throwing an lllegalStateException whenever someone logs into the elog. The filter is complaining the the
response is already committed when the user is redirected after a successfull login. The user does not see this and it is transparent
to them. However, the logger is getting filled up. I'm already wrapping the response to override isCommitted() so I'm not sure what is
happening.

History

#1 - 04/17/2017 11:21 AM - Kyle Hazelwood

- Status changed from Assigned to Resolved

Found an errant semi colon! Fixed on next restart.

#2 - 06/29/2017 03:30 PM - Kyle Hazelwood

- Status changed from Resolved to Remission

Still seeing this.

#3 - 12/19/2017 12:04 PM - Kyle Hazelwood

- Status changed from Remission to Resolved

If the HttpServletResponse getWriter() method is called then the response is committed and then the sendError() method throughs this error. |
switched all statements to getOutputStream() so that | can still use sendError(). Hopefully this fixes the problem.

#4 - 04/05/2018 01:39 PM - Kyle Hazelwood

- Status changed from Resolved to Closed
